Bug 560118

Summary: SELinux is preventing /usr/bin/qemu-system-x86_64 "read" access on Documents and Settings.
Product: [Fedora] Fedora Reporter: gregor0213
Component: selinux-policyAssignee: Miroslav Grepl <mgrepl>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: dwalsh, mgrepl
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard: setroubleshoot_trace_hash:1a54712fa045fac9b126be9012eea582e472dc17ac1120113f79c56c6ba8fc4e
Fixed In Version: 3.6.32-84.fc12 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-02-11 14:41:12 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description gregor0213 2010-01-29 22:03:52 UTC
Summary:

SELinux is preventing /usr/bin/qemu-system-x86_64 "read" access on Documents and
Settings.

Detailed Description:

SELinux denied access requested by qemu-system-x86. It is not expected that this
access is required by qemu-system-x86 and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:svirt_t:s0:c598,c826
Target Context                system_u:object_r:fusefs_t:s0
Target Objects                Documents and Settings [ lnk_file ]
Source                        qemu-system-x86
Source Path                   /usr/bin/qemu-system-x86_64
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           qemu-system-x86-0.11.0-12.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-73.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.12-174.2.3.fc12.x86_64 #1 SMP
                              Mon Jan 18 19:52:07 UTC 2010 x86_64 x86_64
Alert Count                   2
First Seen                    Fri 29 Jan 2010 02:20:44 AM CET
Last Seen                     Fri 29 Jan 2010 02:20:44 AM CET
Local ID                      678e1769-25ef-4d1f-b8d1-81fa082ad3d9
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1264728044.232:32311): avc:  denied  { read } for  pid=3058 comm="qemu-system-x86" name=446F63756D656E747320616E642053657474696E6773 dev=sda2 ino=8067 scontext=system_u:system_r:svirt_t:s0:c598,c826 tcontext=system_u:object_r:fusefs_t:s0 tclass=lnk_file

node=(removed) type=SYSCALL msg=audit(1264728044.232:32311): arch=c000003e syscall=2 success=no exit=-13 a0=7fff866549d0 a1=1000 a2=1a4 a3=30 items=0 ppid=1 pid=3058 auid=4294967295 uid=107 gid=107 euid=107 suid=107 fsuid=107 egid=107 sgid=107 fsgid=107 tty=(none) ses=4294967295 comm="qemu-system-x86" exe="/usr/bin/qemu-system-x86_64" subj=system_u:system_r:svirt_t:s0:c598,c826 key=(null)



Hash String generated from  selinux-policy-3.6.32-73.fc12,catchall,qemu-system-x86,svirt_t,fusefs_t,lnk_file,read
audit2allow suggests:

#============= svirt_t ==============
allow svirt_t fusefs_t:lnk_file read;

Comment 1 Daniel Walsh 2010-02-01 16:35:57 UTC
Miroslav, add
	fs_read_fusefs_symlinks(svirt_t)
to

tunable_policy(`virt_use_fusefs',`
	fs_read_fusefs_files(svirt_t)
	fs_read_fusefs_symlinks(svirt_t)
')

in virt.te

Comment 2 Miroslav Grepl 2010-02-01 16:46:20 UTC
Added to selinux-policy-3.6.32-80.fc12

Comment 3 Fedora Update System 2010-02-03 23:19:44 UTC
selinux-policy-3.6.32-82.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-82.fc12

Comment 4 Fedora Update System 2010-02-05 01:43:42 UTC
selinux-policy-3.6.32-84.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1492

Comment 5 Fedora Update System 2010-02-11 14:36:24 UTC
selinux-policy-3.6.32-84.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.